-- MySQL dump 10.13  Distrib 5.7.27, for Win64 (x86_64)
--
-- Host: localhost    Database: eod_global
-- ------------------------------------------------------
-- Server version	5.7.27-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `table_account_user_serial_codes`
--

DROP TABLE IF EXISTS `table_account_user_serial_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `table_account_user_serial_codes` (
  `serial_code` varchar(24) COLLATE utf8_unicode_ci NOT NULL COMMENT '계정마다 부여하는 시리얼 코드\n\n- 각 글자마다 [A-Z], [0-9]인 16글자로 구성한다.\n: 영문자는 대문자만 사용한다.\n\n- 각 계정들은 반드시 하나의 시리얼 코드를 보유해야 한다.',
  `generate_datetime` datetime NOT NULL DEFAULT '1000-01-01 00:00:00' COMMENT '생성 일시',
  PRIMARY KEY (`serial_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='사용자 계정 시리얼 코드 등록 정보';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `table_account_user_serial_codes`
--

LOCK TABLES `table_account_user_serial_codes` WRITE;
/*!40000 ALTER TABLE `table_account_user_serial_codes` DISABLE KEYS */;
/*!40000 ALTER TABLE `table_account_user_serial_codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `table_application_contract`
--

DROP TABLE IF EXISTS `table_application_contract`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `table_application_contract` (
  `application_identifier` varchar(64) COLLATE utf8_unicode_ci NOT NULL COMMENT '애플리케이션 식별 키',
  `sign_key` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '인증키',
  `used` tinyint(4) NOT NULL DEFAULT '0' COMMENT '사용 여부',
  PRIMARY KEY (`application_identifier`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='애플리케이션 키 등록 정보';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `table_application_contract`
--

LOCK TABLES `table_application_contract` WRITE;
/*!40000 ALTER TABLE `table_application_contract` DISABLE KEYS */;
INSERT INTO `table_application_contract` VALUES ('nox','20170510',1);
/*!40000 ALTER TABLE `table_application_contract` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `table_guild_names`
--

DROP TABLE IF EXISTS `table_guild_names`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `table_guild_names` (
  `application_identifier` varchar(64) COLLATE utf8_unicode_ci NOT NULL COMMENT '애플리케이션 식별 키',
  `category_code` int(11) NOT NULL DEFAULT '0' COMMENT '마켓 분류 코드',
  `name` varbinary(256) NOT NULL COMMENT '이름',
  `name_description` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '`Name` 필드의 이름을 사람이 알아볼 수 있도록 저장하는 필드',
  `register_key` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '사전등록 키',
  `fixed` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0 : 비확정\n1 : 확정',
  `time_seconds` bigint(20) NOT NULL DEFAULT '0' COMMENT '재사용 대기시간(초)',
  `generate_datetime` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '등록시간',
  PRIMARY KEY (`application_identifier`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='등록한 길드 이름';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `table_guild_names`
--

LOCK TABLES `table_guild_names` WRITE;
/*!40000 ALTER TABLE `table_guild_names` DISABLE KEYS */;
/*!40000 ALTER TABLE `table_guild_names` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `table_igaworks_coupon`
--

DROP TABLE IF EXISTS `table_igaworks_coupon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `table_igaworks_coupon` (
  `campaign_key` varchar(50) COLLATE utf8_unicode_ci NOT NULL COMMENT '캠페인 키',
  `valid_nickname_creation_date` date NOT NULL,
  `reward1` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 식별 코드-1',
  `count1` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 수량-1',
  `is_lotto1` tinyint(1) NOT NULL DEFAULT '0' COMMENT '보상 아이템이 소환권인지 여부-1',
  `reward2` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 식별 코드-2',
  `count2` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 수량-1',
  `is_lotto2` tinyint(1) NOT NULL DEFAULT '0' COMMENT '보상 아이템이 소환권인지 여부-2',
  `reward3` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 식별 코드-3',
  `count3` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 수량-1',
  `is_lotto3` tinyint(1) NOT NULL DEFAULT '0' COMMENT '보상 아이템이 소환권인지 여부-3',
  `reward4` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 식별 코드-4',
  `count4` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 수량-1',
  `is_lotto4` tinyint(1) NOT NULL DEFAULT '0' COMMENT '보상 아이템이 소환권인지 여부-4',
  `reward5` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 식별 코드-5',
  `count5` int(11) NOT NULL DEFAULT '0' COMMENT '보상 아이템의 수량-1',
  `is_lotto5` tinyint(1) NOT NULL DEFAULT '0' COMMENT '보상 아이템이 소환권인지 여부-5',
  `is_delete` tinyint(1) NOT NULL DEFAULT '0' COMMENT '삭제 여부',
  `deleted_administrator` varchar(50) COLLATE utf8_unicode_ci NOT NULL COMMENT '삭제한 운영자의 계정',
  `deleted_datetime` datetime NOT NULL COMMENT '삭제한 일시',
  `disposer` varchar(50) COLLATE utf8_unicode_ci NOT NULL COMMENT '폐기한 사람',
  `reason_text` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT '폐기한 사유',
  `creation_datetime` datetime NOT NULL COMMENT '생성한 일시',
  PRIMARY KEY (`campaign_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='IGAWorks 쿠폰 지급 내역';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `table_igaworks_coupon`
--

LOCK TABLES `table_igaworks_coupon` WRITE;
/*!40000 ALTER TABLE `table_igaworks_coupon` DISABLE KEYS */;
/*!40000 ALTER TABLE `table_igaworks_coupon` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `table_player_nicknames`
--

DROP TABLE IF EXISTS `table_player_nicknames`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `table_player_nicknames` (
  `application_identifier` varchar(64) COLLATE utf8_unicode_ci NOT NULL COMMENT '애플리케이션 식별 키',
  `category_code` int(11) NOT NULL DEFAULT '0' COMMENT '마켓 분류 코드',
  `name` varbinary(256) NOT NULL COMMENT '이름',
  `name_description` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '`Name` 필드의 이름을 사람이 알아볼 수 있도록 저장하는 필드',
  `register_key` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '사전등록 키',
  `fixed` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0 : 비확정\n1 : 확정',
  `time_seconds` bigint(20) NOT NULL DEFAULT '0' COMMENT '재사용 대기시간(초)',
  `generate_datetime` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '등록시간',
  PRIMARY KEY (`application_identifier`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='등록한 플레이어 별명';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `table_player_nicknames`
--

LOCK TABLES `table_player_nicknames` WRITE;
/*!40000 ALTER TABLE `table_player_nicknames` DISABLE KEYS */;
/*!40000 ALTER TABLE `table_player_nicknames` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `table_promotion_data`
--

DROP TABLE IF EXISTS `table_promotion_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `table_promotion_data` (
  `user_id` bigint(20) unsigned NOT NULL,
  `server_code` int(11) NOT NULL,
  `unique_key` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  `character_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `event_application` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `reward_info` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `content_data` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `generate_datetime` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '생성일시',
  PRIMARY KEY (`user_id`,`server_code`,`unique_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='프로모션 데이터';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `table_promotion_data`
--

LOCK TABLES `table_promotion_data` WRITE;
/*!40000 ALTER TABLE `table_promotion_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `table_promotion_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `table_promotion_log`
--

DROP TABLE IF EXISTS `table_promotion_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `table_promotion_log` (
  `server_code` int(11) NOT NULL DEFAULT '0' COMMENT '서버 코드',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT '사용자 ID',
  `reward_key` varchar(256) COLLATE utf8_unicode_ci NOT NULL DEFAULT '' COMMENT '보상 키',
  `generate_datetime` datetime DEFAULT CURRENT_TIMESTAMP,
  KEY `idx_table_promotion_log_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci COMMENT='프로모션 보상 지급 로그';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `table_promotion_log`
--

LOCK TABLES `table_promotion_log` WRITE;
/*!40000 ALTER TABLE `table_promotion_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `table_promotion_log` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2020-12-19  0:31:57
